Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
No Samba after updating to sys-libs/tevent-0.9.30
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
Irre
Guru
Guru


Joined: 09 Nov 2013
Posts: 336
Location: Stockholm

PostPosted: Fri Sep 02, 2016 6:25 am    Post subject: No Samba after updating to sys-libs/tevent-0.9.30 Reply with quote

Updating sys-libs/tevent from sys-libs/tevent-0.9.29 to sys-libs/tevent-0.9.30 made Samba Server invisible to Windows7 and Linux!

Going back to sys-libs/tevent-0.9.29 solved the problem.
Code:

Portage 2.3.0 (python 3.4.5-final-0, default/linux/arm/13.0/armv6j, gcc-5.4.0, glibc-2.23-r2, 3.19.3-raspberrypi+ armv6l)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.19.3-raspberrypi+-armv6l-ARMv6-compatible_processor_rev_7_-v6l-with-gentoo-2.3
KiB Mem:      495728 total,     94184 free
KiB Swap:    2097148 total,   2093584 free
Timestamp of repository gentoo: Fri, 02 Sep 2016 04:30:01 +0000
sh bash 4.3_p46
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
app-shells/bash:          4.3_p46::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.69-r2::gentoo
sys-devel/automake:       1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo


net-fs/samba-4.2.14::gentoo was built with the following:
USE="pam system-mitkrb5 winbind -acl -addc -addns -ads -aio -avahi -client -cluster -cups -dmapi -fam -gnutls -iprint -ldap -quota (-selinux) -syslog -systemd -test" PYTHON_TARGETS="python2_7"

sys-libs/tevent-0.9.30::gentoo was built with the following:
USE="python" PYTHON_TARGETS="python2_7"


[Moderator edit: added [code] tags to preserve output layout. OP marked that a downgrade avoids the issue, but I do not consider that a solution, so I am leaving the thread without a Solved marker. -Hu]
Back to top
View user's profile Send private message
jnack95
n00b
n00b


Joined: 28 Jun 2008
Posts: 20

PostPosted: Fri Sep 02, 2016 4:14 pm    Post subject: Reply with quote

Thank you for posting this. My whole server got borked (various failures of smbd and consistent failures of nmbd) and spent all day yesterday banging my head on the keyboard trying to fix it. I confirm that downgrading to tevent-0.9.29 fixed all my problems and I never would have found this if you didn't post it. Someone should probably file a bug.....
Back to top
View user's profile Send private message
Irre
Guru
Guru


Joined: 09 Nov 2013
Posts: 336
Location: Stockholm

PostPosted: Sat Sep 03, 2016 6:38 am    Post subject: Reply with quote

https://bugs.gentoo.org/show_bug.cgi?id=592502
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum